Public Class ClassUIConfig
    Public Property FlowForm As New FlowFormConfig
    Public Property SearchForm As New SearchFormConfig
    Public Property Globix As New GlobixConfig

    Public Property SidebarScreen As String
    Public Property SidebarOrientation As String

    Public Class FlowFormConfig
        Public Property Location As New Point(0, 0)
    End Class
    Public Class SearchFormConfig
        Public Property Location As New Point(0, 0)
        Public Property Size As New Size(0, 0)
        Public Property OpenSearchInSameWindow As Boolean = False
    End Class
    Public Class GlobixConfig
        Public Property FilePreview As Boolean = True
        Public Property SplitterDistanceViewer As Integer = 500
        Public Property ProfilePreselection As Boolean = False
        Public Property ShowIndexResult As Boolean = True
        Public Property DeleteOriginalFile As Boolean = False
        Public Property TopMost As Boolean = True
        Public Property FolderWatchScanStarted As Boolean = False
        Public Property FolderWatchStarted As Boolean = False
        Public Property ShowSuccessMessageBox As Boolean = True
    End Class
End Class
